Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1190947 - Add support for Atheros AR5B195 combo card (the AR3011 bluetooth part)
Summary: Add support for Atheros AR5B195 combo card (the AR3011 bluetooth part)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-ath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 04:36 UTC by Alexander Ploumistos
Modified: 2015-03-18 10:25 UTC (History)
7 users (show)

Fixed In Version: kernel-4.0.0-0.rc3.git0.1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:16:42 UTC
Type: Bug


Attachments (Terms of Use)
patch (1.17 KB, patch)
2015-02-10 04:36 UTC, Alexander Ploumistos
no flags Details | Diff

Description Alexander Ploumistos 2015-02-10 04:36:00 UTC
Created attachment 989948 [details]
patch

I was tasked by a local company to refurbish some 20+ old netbooks. Among the upgrades there were these Atheros AR5B195 Mni PCIe combo cards, which expose their bluetooth part over the USB bus.
(See here: https://wikidevi.com/wiki/Atheros_AR5B195)

The WLAN works fine, but the bluetooth part appears in lsusb as

04f2:aff1 Chicony Electronics Co., Ltd

when it should be something like Atheros AR3011 Bluetooth adapter. However, the issue is not just cosmetic; even though ath3k and btusb are both loaded, bluetooth doesn't work at all, hcitool does not list any devices and "hciconfig hci0 up" times out.

As per the instructions here

https://wireless.wiki.kernel.org/en/users/Drivers/ath3k#ar3011_with_sflash_configurations

I've prepared a patch against kernel 3.18 that adds the PID & VID of the devices.

A similar patch at kernel.org's git for a different device:

http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=e9036e336a8e5640871e0006ea4a89982b25046f&id2=840af824b2bf9194ea596e0ddc7aa05066794ca1#patch1

After googling a bit, I saw that this particular issue had appeared around 3.0-3.1. Ubuntu had a similar bug report, but although they claim it was fixed upstream, there is no such thing in the source:
https://bugs.launchpad.net/linux/+bug/841673
We also have bugs #882693, #734369 and #702375 from about that same time.

From what I understand, this works a bit like usb_modeswitch, so similar patches with the appropriate vendor and product IDs would solve a lot of people's problems.

Please, is there any chance this could land in F21 sometime in the next 10 days, so that I can make my deadline?

Comment 1 Josh Boyer 2015-02-10 13:48:16 UTC
Thanks for the patch!

This really needs to get sent upstream for review before we can take it.  Could you send it to:

Marcel Holtmann <marcel> (maintainer:BLUETOOTH DRIVERS)
Gustavo Padovan <gustavo> (maintainer:BLUETOOTH DRIVERS)
Johan Hedberg <johan.hedberg> (maintainer:BLUETOOTH DRIVERS)

With the following on CC:

linux-bluetooth.org (open list:BLUETOOTH DRIVERS)
linux-kernel.org (open list)

You can also CC me if you'd like.

Be sure to write up a good changelog for this.  Most importantly, you need to include your Signed-off-by: in the patch description as well.  See Documentation/SubmittingPatches, section 2 and 12 specifically for what I'm talking about.

Once it is sent for review we can evaluate it for inclusion in Fedora.

Comment 2 Dmitry Tunin 2015-02-13 12:29:20 UTC
Alexander,

The way you sent upstream patch it won't be accepted.
I had this trouble before too.
If you post here output of

cat /sys/kernel/debug/usb/devices

I can help you to make a patch mail.

Comment 3 Alexander Ploumistos 2015-02-25 19:37:09 UTC
As far as I can tell, the patch has made it to the kernel-next tree (next-20150225) but not to 4.0-rc1, 3.19 or any of the stable trees.

Meanwhile, I had to return the netbooks, which I left with a patched 3.18.7-200.fc21 kernel and an exclude directive in yum.conf. I know that the fedora kernel team has their hands full and I don't want to waste your time, I have just one question: will this bug report get updated when the patched kernel comes along, or should I keep an eye on koji builds?

Comment 4 Josh Boyer 2015-02-25 19:47:55 UTC
Yes.  In fact, I'll get your patch included today.  Thanks.

Comment 5 Alexander Ploumistos 2015-02-25 19:53:14 UTC
No, thank you!

Comment 6 Fedora Update System 2015-03-02 12:34:23 UTC
kernel-3.18.8-201.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.18.8-201.fc21

Comment 7 Fedora Update System 2015-03-02 12:36:11 UTC
kernel-3.18.8-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.18.8-100.fc20

Comment 8 Alexander Ploumistos 2015-03-02 23:02:54 UTC
Tested 3.18.8-201 on i686 and karma left.

Comment 9 Fedora Update System 2015-03-04 01:45:06 UTC
kernel-4.0.0-0.rc2.git0.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.0-0.rc2.git0.1.fc22

Comment 10 Fedora Update System 2015-03-04 10:24:39 UTC
Package kernel-3.18.8-100.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.18.8-100.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2990/kernel-3.18.8-100.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-03-09 08:16:42 UTC
kernel-3.18.8-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-03-09 21:13:51 UTC
kernel-3.18.9-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.18.9-100.fc20

Comment 13 Fedora Update System 2015-03-10 13:26:00 UTC
kernel-4.0.0-0.rc3.git0.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.0-0.rc3.git0.1.fc22

Comment 14 Fedora Update System 2015-03-14 09:15:05 UTC
kernel-3.18.9-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-18 10:25:12 UTC
kernel-4.0.0-0.rc3.git0.1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.